Bug 64954 - New Port devel/pear-HTML_QuickForm
Summary: New Port devel/pear-HTML_QuickForm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-30 21:10 UTC by Gerrit Beine
Modified: 2004-04-01 22:29 UTC (History)
0 users

See Also:


Attachments
file.shar (4.28 KB, text/plain)
2004-03-30 21:10 UTC, Gerrit Beine
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerrit Beine 2004-03-30 21:10:20 UTC
The HTML_QuickForm package provides methods for dynamically create, validate and render HTML forms.

Features:
* More than 20 ready-to-use form elements.
* XHTML compliant generated code.
* Numerous mixable and extendable validation rules.
* Automatic server-side validation and filtering.
* On request javascript code generation for client-side validation.
* File uploads support.
* Total customization of form rendering.
* Support for external template engines (ITX, Sigma, Flexy, Smarty).
* Pluggable elements, rules and renderers extensions.

WWW: http://pear.php.net/package/HTML_QuickForm
Comment 1 Thierry Thomas freebsd_committer 2004-03-31 22:00:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


I'll take it.
Comment 2 Thierry Thomas freebsd_committer 2004-03-31 22:07:09 UTC
State Changed
From-To: open->feedback


- new ports should not set PORTREVISION; 
- you don't need pkg-comment since you already have defined 
COMMENT (and pkg-comment is obsolete); 
- you don't need pkg-plist, it will be generated by 
pear-PEAR/Makefile.common.
Comment 3 Gerrit Beine 2004-04-01 06:56:18 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	pear-HTML_QuickForm/
#	pear-HTML_QuickForm/Makefile
#	pear-HTML_QuickForm/distinfo
#	pear-HTML_QuickForm/pkg-descr
#
echo c - pear-HTML_QuickForm/
mkdir -p pear-HTML_QuickForm/ > /dev/null 2>&1
echo x - pear-HTML_QuickForm/Makefile
sed 's/^X//' >pear-HTML_QuickForm/Makefile <<
'END-of-pear-HTML_QuickForm/Makefile'
X# Ports collection makefile for:  pear-HTML_QuickForm
X# Date created:			  30 March 2004
X# Whom:				  Gerrit Beine (<gerrit@beine-computer.de>)
X#
X# $FreeBSD$
X#
X
XPORTNAME=	HTML_QuickForm
XPORTVERSION=	3.2.2
XCATEGORIES=	devel www pear
X
XMAINTAINER=	ports@freebsd.org
XCOMMENT=	Package providing methods for creating, validating and
processing HTML forms
X
XBUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear-PEAR \
X		${PEARDIR}/HTML/Common.php:${PORTSDIR}/devel/pear-HTML_Common
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XCATEGORY=	HTML
XFILES=		QuickForm.php \
X		QuickForm/advcheckbox.php QuickForm/autocomplete.php
QuickForm/button.php \
X		QuickForm/checkbox.php QuickForm/date.php QuickForm/element.php \
X		QuickForm/file.php QuickForm/group.php QuickForm/header.php\
X		QuickForm/hidden.php QuickForm/hiddenselect.php QuickForm/hierselect.php\
X		QuickForm/html.php QuickForm/image.php QuickForm/input.php \
X		QuickForm/link.php QuickForm/password.php QuickForm/radio.php\
X		QuickForm/reset.php QuickForm/select.php QuickForm/static.php\
X		QuickForm/submit.php QuickForm/text.php QuickForm/textarea.php\
X		QuickForm/Renderer.php QuickForm/Rule.php QuickForm/RuleRegistry.php\
X		QuickForm/Renderer/Array.php QuickForm/Renderer/ArraySmarty.php
QuickForm/Renderer/Default.php \
X		QuickForm/Renderer/ITDynamic.php QuickForm/Renderer/ITStatic.php
QuickForm/Renderer/Object.php \
X		QuickForm/Renderer/ObjectFlexy.php QuickForm/Renderer/QuickHtml.php \
X		QuickForm/Rule/Callback.php QuickForm/Rule/Compare.php
QuickForm/Rule/Email.php \
X		QuickForm/Rule/Range.php QuickForm/Rule/Regex.php
QuickForm/Rule/Required.php
XDOCS=		elements.php filters.php formrule.php groups.php rules-builtin.php
rules-custom.php \
X		renderers/FlexyDynamic_example.php renderers/FlexyStatic_example.php
renderers/ITDynamic_example.php \
X		renderers/ITDynamic_example2.php renderers/ITStatic_example.php
renderers/QuickHtml_example.php \
X		renderers/SmartyDynamic_example.php renderers/SmartyStatic_example.php
renderers/multiple-labels.php \
X		renderers/templates/it-dynamic-2.html
renderers/templates/it-dynamic.html renderers/templates/it-static.html \
X		renderers/templates/smarty-dynamic-fancygroup.tpl
renderers/templates/smarty-dynamic-green.tpl \
X		renderers/templates/smarty-dynamic.tpl
renderers/templates/smarty-static.tpl renderers/templates/html.html \
X		renderers/templates/flexy-dynamic.html
renderers/templates/flexy-static.html renderers/templates/label.html \
X		renderers/templates/styles/green.html
renderers/templates/styles/fancygroup.html
X
X.include <bsd.port.pre.mk>
X.include "${PORTSDIR}/devel/pear-PEAR/Makefile.common"
X.include <bsd.port.post.mk>
END-of-pear-HTML_QuickForm/Makefile
echo x - pear-HTML_QuickForm/distinfo
sed 's/^X//' >pear-HTML_QuickForm/distinfo <<
'END-of-pear-HTML_QuickForm/distinfo'
XMD5 (PEAR/HTML_QuickForm-3.2.2.tgz) = c4f608114882b176fb63d243f6ade872
XSIZE (PEAR/HTML_QuickForm-3.2.2.tgz) = 88941
END-of-pear-HTML_QuickForm/distinfo
echo x - pear-HTML_QuickForm/pkg-descr
sed 's/^X//' >pear-HTML_QuickForm/pkg-descr <<
'END-of-pear-HTML_QuickForm/pkg-descr'
XThe HTML_QuickForm package provides methods for dynamically create,
validate and render HTML forms.
X
XFeatures:
X* More than 20 ready-to-use form elements.
X* XHTML compliant generated code.
X* Numerous mixable and extendable validation rules.
X* Automatic server-side validation and filtering.
X* On request javascript code generation for client-side validation.
X* File uploads support.
X* Total customization of form rendering.
X* Support for external template engines (ITX, Sigma, Flexy, Smarty).
X* Pluggable elements, rules and renderers extensions.
X
XWWW: http://pear.php.net/package/HTML_QuickForm
END-of-pear-HTML_QuickForm/pkg-descr
exit
Comment 4 Thierry Thomas freebsd_committer 2004-04-01 22:28:40 UTC
State Changed
From-To: feedback->closed


Committed, thanks!